Bug 187747 - up2date stopped working on our local yum repository when install from update 3 media.
up2date stopped working on our local yum repository when install from update ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Clifford Perry
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-03 09:43 EDT by Jascha Hoogenraad
Modified: 2010-04-23 11:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-23 11:31:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jascha Hoogenraad 2006-04-03 09:43:50 EDT
Description of problem:
up2date stopped working on our local yum repository when install from update 3
media.


Version-Release number of selected component (if applicable):
up2date-4.4.67-4 (but only if installed as rhel4 update 3, update 2 has no
problems at all with the same repository.)

How reproducible:
# up2date --list
An error has occurred:
exceptions.ValueError
See /var/log/up2date for more information


Steps to Reproduce:
1. add repository to /etc/sysconfig/rhn/sources
2. run up2date --list
3.
  
Actual results:
[root@ilsia024 ~]# up2date --list
An error has occurred:
exceptions.ValueError
See /var/log/up2date for more information


Expected results:
List of packages in repository

Additional info:
Local repository made with yum-arch and createrepo.

/var/log/up2date
[Mon Apr  3 15:45:22 2006] up2date updating login info
[Mon Apr  3 15:45:22 2006] up2date logging into up2date server
[Mon Apr  3 15:45:23 2006] up2date successfully retrieved authentication token f
rom up2date server
[Mon Apr  3 15:45:23 2006] up2date availablePackageList from network
[Mon Apr  3 15:45:23 2006] up2date Unable to import repomd support so repomd sup
port will not be available
[Mon Apr  3 15:45:23 2006] up2date   File "/usr/sbin/up2date", line 1265, in ?
    sys.exit(main() or 0)
   File "/usr/sbin/up2date", line 800, in main
    fullUpdate, dryRun=options.dry_run))
   File "/usr/sbin/up2date", line 1120, in batchRun
    batch.init()
   File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 65, in init
    self.__findPackagesToUpdate()
   File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 101, in __findPack
agesToUpdate
    plist.addGlobs(self.listOfGlobs)
   File "/usr/share/rhn/up2date_client/packageList.py", line 161, in addGlobs
    availList = rhnPackageInfo.getAvailablePackageList()
   File "/usr/share/rhn/up2date_client/rhnPackageInfo.py", line 235, in getAvail
ablePackageList
    package_list = availablePackageList(
   File "/usr/share/rhn/up2date_client/rhnPackageInfo.py", line 169, in availabl
ePackageList
    progressCallback = progressCallback)
   File "/usr/share/rhn/up2date_client/rpcServer.py", line 316, in doCall
    ret = apply(method, args, kwargs)
   File "/usr/share/rhn/up2date_client/repoDirector.py", line 21, in listPackage
s
    return self.handlers[channel['type']].listPackages(channel, msgCallback, pro
gressCallback)
   File "/usr/share/rhn/up2date_client/rpmSource.py", line 229, in listPackages
    msgCallback, progressCallback)
   File "/usr/share/rhn/up2date_client/repoBackends/yumRepo.py", line 240, in li
stPackages
    (envra, rpmPath) = string.split(line, '=')
Comment 1 Red Hat Bugzilla 2007-04-11 20:36:53 EDT
User bnackash@redhat.com's account has been closed
Comment 2 Miroslav Suchý 2010-04-23 11:31:08 EDT
up2date should work in recent release - u8

Note You need to log in before you can comment on or make changes to this bug.